import { IExecutionContext } from "../../i-execution-context";
/**
 * Example parameters:
 * ```json
 * {
 *   "organizationName": "hyperledger-cicd",
 *   "repositoryName": "besu",
 *   "branchColonFilePath": "main:README.md"
 * }
 * ```
 */
export declare const GQL_GET_FILE_CONTENTS = "\nquery ($organizationName:String!, $repositoryName: String!, $branchColonFilePath: String!) {\n  repository(name: $repositoryName, owner: $organizationName) {\n    object(expression: $branchColonFilePath) {\n      ... on Blob {\n        text\n      }\n    }\n  }\n}\n";
export declare type IGetFileContentsResponse = {
    readonly repository: {
        readonly object: {
            readonly text: string;
        };
    };
};
export declare type IGetFileContentsRequest = {
    readonly organizationName: string;
    readonly repositoryName: string;
    readonly branch: string;
    readonly file: string;
};
export declare function getFileContents(ctx: IExecutionContext, request: IGetFileContentsRequest): Promise<string>;
